MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028356Open CASCADE[OCCT] OCCT:Codingpublic2017-01-15 20:032017-09-29 16:31
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028356: VS 2015 compiler warnings in STEPCAFControl_Reader
DescriptionAfter integration of fix for #28235, the following warnings are reported by vc14 compiler:

56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2387): warning C4456: declaration of 'i' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2373): note: see declaration of 'i'
56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2401): warning C4456: declaration of 'aDatObj' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2357): note: see declaration of 'aDatObj'
56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2422): warning C4456: declaration of 'i' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2397): note: see declaration of 'i'
56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2438): warning C4456: declaration of 'i' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2397): note: see declaration of 'i'
56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2470): warning C4456: declaration of 'anIter' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2410): note: see declaration of 'anIter'
56>..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2487): warning C4456: declaration of 'i' hides previous local declaration
56> ..\..\..\src\STEPCAFControl\STEPCAFControl_Reader.cxx(2397): note: see declaration of 'i'
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0062619)
ika (developer)
2017-01-16 11:46

Dear bugmaster,

This problem should be fixed by 28315.

- Issue History
Date Modified Username Field Change
2017-01-15 20:03 abv New Issue
2017-01-15 20:03 abv Assigned To => kgv
2017-01-15 20:04 abv Assigned To kgv => ika
2017-01-15 20:04 abv Status new => assigned
2017-01-15 20:05 abv Summary VS 2015 compiler errors in STEPCAFControl_Reader => VS 2015 compiler warnings in STEPCAFControl_Reader
2017-01-15 20:05 abv Relationship added child of 0028235
2017-01-16 11:45 ika Relationship added related to 0028315
2017-01-16 11:46 ika Note Added: 0062619
2017-01-16 11:46 ika Assigned To ika => bugmaster
2017-01-16 11:46 ika Status assigned => feedback
2017-01-20 16:58 apn Test case number => Not needed
2017-01-20 16:58 apn Status feedback => tested
2017-01-20 16:58 apn Status tested => verified
2017-01-20 16:58 apn Resolution open => fixed
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker